

import pyglet
import pyglet.window.key as key

import maps
import cosmonaut


class Level:

    def __init__(self, keys):
        self.keys = keys
        
        self.batch = pyglet.graphics.Batch()
        background = pyglet.graphics.OrderedGroup(0)
        foreground = pyglet.graphics.OrderedGroup(1)

        self.cosmonaut = cosmonaut.Cosmonaut(x=168, y=168, batch=self.batch, group=foreground)

        self.map = maps.Map(maps.tiles, maps.tileImages, batch=self.batch, group=background)

        self.objects = maps.objects
        for obj in self.objects:
            obj.batch = self.batch


    def draw(self):
        self.batch.draw()


    def update(self, dt):        
        self.cosmonaut.update(self, dt)
        self.map.update()
        self.map.set_position(-self.cosmonaut.positionX*8+168, -self.cosmonaut.positionY*8+168)
